CREATE TABLE IF NOT EXISTS pull_request_reaction (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    pull_request UUID NOT NULL REFERENCES pull_request(id),
    comment UUID REFERENCES pull_request_comment(id),
    "user" UUID NOT NULL,
    reaction TEXT NOT NULL,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now()
);
